version: '3.7'

volumes:
  ipython_history: {}

services:
  backend:
    restart: always
    build: .
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - .:/usr/src/app/
    ports:
      - 8000:8000
    environment:
      - POSTGRES_HOST=postgres
      - BROKER_HOST=rabbitmq
      - CELERY_BACKEND_HOST=redis
    depends_on:
      - postgres
    networks:
      - djangonetwork


  postgres:
    image: postgres:13
    hostname: postgres
    ports:
      - "5432:5432"
    environment:
      - POSTGRES_DB=dev
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    networks:
      - djangonetwork

  redis:
    image: redis:4.0
    container_name: redis_sfu_events
    ports:
      - "6379:6379"
    networks:
      - djangonetwork


  rabbitmq:
    image: rabbitmq:3.6.5
    container_name: rabbitmq_sfu_events
    ports:
      - "5672:5672"
    networks:
      - djangonetwork

  celery-worker:
    build: .
    container_name: celery_sfu_events
    volumes:
      - ./:/app
    command: celery --app config.celery:app worker -l info
    environment:
      - POSTGRES_HOST=postgres
      - BROKER_HOST=rabbitmq
      - CELERY_BACKEND_HOST=redis
    depends_on:
      - redis
      - postgres
    networks:
      - djangonetwork

networks:
    djangonetwork:
        driver: bridge

